% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}
\definecolor{color2}{rgb}{0.46078431372549,0.749019607843137,0.443137254901961}
\definecolor{color3}{rgb}{0.780882352941177,0.430882352941176,0.430882352941176}

\begin{axis}[
axis line style={white!15!black},
height=180pt,
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Relative Amount of whole NN},
xmajorgrids,
xmin=0, xmax=0.90488399925,
xtick style={color=white!15!black},
xtick={0,0.2,0.4,0.6,0.8,1},
xticklabels={0.0,0.2,0.4,0.6,0.8,1.0},
y dir=reverse,
y grid style={white!80!black},
ylabel={Selected Layers},
ymin=-0.5, ymax=3.5,
ytick style={color=white!15!black},
ytick={0,1,2,3},
yticklabels={00\_Conv2D,02\_Conv2D,05\_Dense,06\_Dense}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:0.000746788808125062,-0.2);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{\# Param.}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:0.0109529025191676,0.8);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:0.861794285,1.8);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,2.6) rectangle (axis cs:0.126506024,2.8);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-0.2) rectangle (axis cs:0.191543700340522,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{\# MACC}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,0.8) rectangle (axis cs:0.527525539,1);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1.8) rectangle (axis cs:0.245175936,2);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2.8) rectangle (axis cs:0.035754824,3);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,2.77555756156289e-17) rectangle (axis cs:0.3774,0.2);
\addlegendimage{ybar,ybar legend,draw=white,fill=color2,line width=0.32pt};
\addlegendentry{Energy Cons.}

\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:0.4918,1.2);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:0.1134,2.2);
\draw[draw=white,fill=color2,line width=0.32pt] (axis cs:0,3) rectangle (axis cs:0.0174,3.2);
\draw[draw=white,fill=color3,line width=0.32pt] (axis cs:0,0.2) rectangle (axis cs:0.3774,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color3,line width=0.32pt};
\addlegendentry{Latency}

\draw[draw=white,fill=color3,line width=0.32pt] (axis cs:0,1.2) rectangle (axis cs:0.4918,1.4);
\draw[draw=white,fill=color3,line width=0.32pt] (axis cs:0,2.2) rectangle (axis cs:0.1134,2.4);
\draw[draw=white,fill=color3,line width=0.32pt] (axis cs:0,3.2) rectangle (axis cs:0.0174,3.4);
\addplot [line width=0.864pt, white!26!black]
table {%
nan -0.3
nan -0.3
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.7
nan 0.7
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.7
nan 1.7
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.7
nan 2.7
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan -0.1
nan -0.1
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.9
nan 0.9
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.9
nan 1.9
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.9
nan 2.9
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.1
nan 0.1
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.1
nan 1.1
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.1
nan 2.1
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 3.1
nan 3.1
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.3
nan 0.3
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.3
nan 1.3
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.3
nan 2.3
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 3.3
nan 3.3
};
\end{axis}

\end{tikzpicture}
